import greenfoot.*;

/**
 * Field. Something for rockets to fly in.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Field extends World
{
    private Counter scoreCounter;
    private int startFalcons = 3;

    /**
     * Create the space and all objects within it.
     */
    public Field() 
    {
        super(600, 500, 1);
        //GreenfootImage background = getBackground();
        //background.setColor(Color.BLACK);
        //background.fill();

        Litbunny rocket = new Litbunny();
        addObject(rocket, getWidth()/2 + 100, getHeight()/2);

        addFalcons(startFalcons);

        //scoreCounter = new Counter("Score: ");
        //addObject(scoreCounter, 60, 480);

        Explosion.initializeImages();
        ProtonWave.initializeImages();
        //createStars (300);//this is the call to the createStars method. It makes 300 stars to start out with. 9.12
        prepare();
    }

    //the method will write code to paint stars onto the background image 

    private void addFalcons(int count) 
    {
        for ( int i = 0; i < count; i++) 
        {
            int x = Greenfoot.getRandomNumber(getWidth()/2);
            int y = Greenfoot.getRandomNumber(getHeight()/2);
            addObject(new Falcon(), x, y);
            //this is the for loop for addFalcons 9.17
        }
        //this is the initalization (int i = 0), this is the loop condition (i < count;), this is the increment  (i++).9.15
        //private void addFalcons(int count) 
        {
            // int i = 0;
            // while ( i < count) 
            {
                //int x = Greenfoot.getRandomNumber(getWidth()/2);
                // int y = Greenfoot.getRandomNumber(getHeight()/2);
                // addObject(new Falcon(), x, y);
                // i++;
            }
        }
        // this is the while loop for addFalcons 9.16

    }

    //private void createStars(int number) 
    {
        //GreenfootImage background = getBackground();             
        //for (int i = 0; i < number; i++) 
        {
            //int x = Greenfoot.getRandomNumber ( getWidth() );
            //int y = Greenfoot.getRandomNumber ( getHeight() );
            //int color = 120 - Greenfoot.getRandomNumber(100);
            //background.setColor(new Color(color,color,color));
            //background.fillOval (x, y, 2, 2);
        }
    } 

    /**
     * This method is called when the game is over to display the final score.
     */
    //public void gameOver() 
    {

        //addObject(new ScoreBoard(999), getWidth() / 2, getHeight() / 2);
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
    }
}
